Verify gpg signature of the latest commit message in $WORKSPACE.
This command assumes that $WORKSPACE is a git repo.
+lf-infra-pre-build
+------------------
+
+Macro that runs before all builders to prepare the system for job use.
+
lf-infra-package-listing
------------------------
builders:
- shell: !include-raw: ../shell/gpg-verify-git-signature.sh
+- builder:
+ name: lf-infra-pre-build
+ builders:
+ - shell: !include-raw-escape: ../shell/python-tools-install.sh
+
- builder:
name: lf-infra-ship-logs
builders:
- lf-infra-create-netrc:
server-id: logs
- shell: !include-raw:
- - ../shell/lftools-install.sh
+ # Ensure python-tools are installed in case job template does not
+ # call the lf-infra-pre-build macro.
+ - ../shell/python-tools-install.sh
- ../shell/logs-deploy.sh
- shell: !include-raw:
- ../shell/logs-clear-credentials.sh
-#!/bin/bash
+#!/bin/bash -l
# SPDX-License-Identifier: EPL-1.0
##############################################################################
# Copyright (c) 2018 The Linux Foundation and others.
-#!/bin/bash
+#!/bin/bash -l
# SPDX-License-Identifier: EPL-1.0
##############################################################################
# Copyright (c) 2017 The Linux Foundation and others.
-#!/bin/bash
+#!/bin/bash -l
# SPDX-License-Identifier: EPL-1.0
##############################################################################
# Copyright (c) 2018 The Linux Foundation and others.
-#!/bin/bash
+#!/bin/bash -l
# SPDX-License-Identifier: EPL-1.0
##############################################################################
# Copyright (c) 2018 The Linux Foundation and others.
-#!/bin/bash
+#!/bin/bash -l
# SPDX-License-Identifier: EPL-1.0
##############################################################################
# Copyright (c) 2017 The Linux Foundation and others.
-#!/bin/bash
+#!/bin/bash -l
# SPDX-License-Identifier: EPL-1.0
##############################################################################
# Copyright (c) 2017 The Linux Foundation and others.
-#!/bin/bash
+#!/bin/bash -l
# SPDX-License-Identifier: EPL-1.0
##############################################################################
# Copyright (c) 2017 The Linux Foundation and others.
-#!/bin/bash
+#!/bin/bash -l
# SPDX-License-Identifier: EPL-1.0
##############################################################################
# Copyright (c) 2017 The Linux Foundation and others.
--- /dev/null
+#!/bin/bash -l
+# SPDX-License-Identifier: EPL-1.0
+##############################################################################
+# Copyright (c) 2018 The Linux Foundation and others.
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Eclipse Public License v1.0
+# which accompanies this distribution, and is available at
+# http://www.eclipse.org/legal/epl-v10.html
+##############################################################################
+
+set -eux -o pipefail
+
+REQUIREMENTS_FILE=$(mktemp /tmp/requirements-XXXX.txt)
+
+cat << EOF > "$REQUIREMENTS_FILE"
+lftools~=0.15.0
+python-heatclient~=1.16.1
+python-openstackclient~=3.16.0
+EOF
+
+pip install --user --quiet --upgrade pip==18.0 setuptools==40.0.0
+pip install --user --quiet --upgrade -r "$REQUIREMENTS_FILE"
+pip freeze